return {
	-- INFO:
	-- mini-ai for a and i selections or other --> vin" for visual in next ""
	{
		"echasnovski/mini.ai",
		version = "*",
		opts = {},
	},

	-- TIP:
	-- ─< mini-surround for surrounding words or lines with "" or () or '' etc.. >──────────
	{
		"echasnovski/mini.surround",
		version = "*",
		opts = {},
	},

	-- Move any selection in any direction
	{
		"echasnovski/mini.move",
		version = "*",
		opts = {
			-- Module mappings. Use `''` (empty string) to disable one.
			mappings = {
				-- Move visual selection in Visual mode. Defaults are Alt (Meta) + hjkl.
				left = "<S-Tab>",
				right = "<Tab>",
				down = "<S-j>",
				up = "<S-k>",

				line_left = "<S-h>",
				line_right = "<S-l>",
				line_down = "<S-j>",
				line_up = "<S-k>",
				-- Move current line in Normal mode
			},

			-- Options which control moving behavior
			options = {
				-- Automatically reindent selection during linewise vertical move
				reindent_linewise = true,
			},
		},
	},

	-- ─< miniIcons >───────────────────────────────────────────────────────────────────────
	{
		"echasnovski/mini.icons",
		version = "*",
		opts = {},
		lazy = true,
		specs = {
			{ "nvim-tree/nvim-web-devicons", enabled = false, optional = true },
		},
		init = function()
			package.preload["nvim-web-devicons"] = function()
				require("mini.icons").mock_nvim_web_devicons()
				return package.loaded["nvim-web-devicons"]
			end
		end,
	},
}
